Bug 110785 - bad source code
bad source code
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lesstif (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-24 10:57 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-21 11:43:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2003-11-24 10:57:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:


I just tried to compile package lesstif-0_93_36-4 from Fedora.

The compiler said

1.

Visual.c:746: warning: operation on `_Xm_fastPtr' may be undefined
Visual.c:763: warning: operation on `_Xm_fastPtr' may be undefined
Visual.c:855: warning: operation on `_Xm_fastPtr' may be undefined
Visual.c:873: warning: operation on `_Xm_fastPtr' may be undefined
Visual.c:890: warning: operation on `_Xm_fastPtr' may be undefined

The source code is

    foreground = _XmAccessColorData(_XmGetColors(XtScreenOfObject(w),
                                                 ColormapOfObject(w),
                                                 XmIsGadget(w) ?
                                                 XmParentBackground
(w) :
                                                 XtBackground(w)),
                                    XmFOREGROUND);

Suggest simplifying this expression to ensure avoid undefined
code.


Version-Release number of selected component (if applicable):
lesstif-0_93_36-4 

How reproducible:
Always

Steps to Reproduce:
1. by inspection
2.
3.
    

Additional info:
Comment 1 John Thacker 2006-04-21 11:43:51 EDT
I don't think we even ship lesstif anymore, not even in Extras.  (openmotif
instead).  Also, it's really unlikely that we'd patch upstream just to remove a
warning.

Note You need to log in before you can comment on or make changes to this bug.